# Interface ITestSuiteElement

All Superinterfaces:
  `ITestElement, ITestElementContainer`

public interface ITestSuiteElement extends ITestElementContainer
Represents a test suite element.

This interface is not intended to be implemented by clients.

Since:
  3.3
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

### Nested classes/interfaces inherited from interface ITestElement

`ITestElement.FailureTrace, ITestElement.ProgressState, ITestElement.Result`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSuiteTypeName()`
Returns the name of the suite.

### Methods inherited from interface ITestElement

`getElapsedTimeInSeconds, getFailureTrace, getParentContainer, getProgressState, getTestResult, getTestRunSession`

### Methods inherited from interface ITestElementContainer

`getChildren`

## Method Details

### getSuiteTypeName

String getSuiteTypeName()
Returns the name of the suite. This is either the qualified type name of the suite class, or a custom name if one has been set.

Returns:
  the name of the suite